%define upstream_version 20100531

Name:           hyphen-sa
Summary:        Sanskrit hyphenation rules
Version:        0.%{upstream_version}
Release:        %mkrel 13
License:        LPPL
Group:          Text tools
URL:            https://tug.org/tex-hyphen
Source0:        https://tug.org/svn/texhyphen/trunk/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-sa.tex
Patch0:         %{name}-cleantex.patch

BuildRequires:  hyphen-devel

BuildArch:      noarch

Requires:       hyphen
Requires: locales-sa

%description
Sanskrit hyphenation rules.


%prep
%setup -T -q -c
cp -p %{_sourcedir}/hyph-sa.tex .
%patch -P 0 -p0 -b .clean

%build
substrings.pl hyph-sa.tex hyph_sa_IN.dic UTF-8
echo "Created with substring.pl by substrings.pl hyph-sa.tex hyph_sa_IN.dic UTF-8" > README
echo "Original in-line credits were:" >> README
echo "" >> README
head -n 15 hyph-sa.tex >> README

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p hyph_sa_IN.dic %{buildroot}%{_datadir}/hyphen

%files
%doc README
%{_datadir}/hyphen/hyph_sa_IN.dic


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.20100531-13.mga10
+ Revision: 2231917
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.20100531-12.mga10
+ Revision: 2127650
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 0.20100531-11.mga9
+ Revision: 1801238
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.20100531-10.mga8
+ Revision: 1490767
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20100531-9.mga7
+ Revision: 1262439
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20100531-8.mga6
+ Revision: 946226
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20100531-7.mga5
+ Revision: 740903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20100531-6.mga5
+ Revision: 680386
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20100531-5.mga4
+ Revision: 523095
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20100531-4.mga3
+ Revision: 406355
- requires locales-hyphen-sa (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20100531-3.mga3
+ Revision: 354007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 kamil <kamil> 0.20100531-2.mga2
+ Revision: 194669
- rebuild against new hyphen-devel
- clean spec

* Sat Mar 12 2011 ahmad <ahmad> 0.20100531-1.mga1
+ Revision: 70177
- fix group
- imported package hyphen-sa


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100531-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100531-1
- latest version

* Thu Mar 04 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100304-1
- latest version

* Wed Aug 19 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090412-3
- Related: rhbz#517821 drop hyphen-bn alias

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090412-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 03 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090412-1
- latest version

* Mon Apr 06 2009 Caolan McNamara <caolanm@redhat.com> - 0.20081010-1
- initial version
